<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{520DFF02-3078-4C2D-8537-DAA74CE7E212}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ZionSchematics</RootNamespace>
    <AssemblyName>ZionSchematics</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Development|AnyCPU'">
    <OutputPath>bin\Development\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Development|x64'">
    <OutputPath>bin\x64\Development\</OutputPath>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Models\SearchModes\Position.cs" />
    <Compile Include="Schematics.cs" />
    <Compile Include="Models\Boundaries\Bottom.cs" />
    <Compile Include="Models\Boundaries\BoundaryFactory.cs" />
    <Compile Include="Models\Boundaries\IBoundary.cs" />
    <Compile Include="Models\Boundaries\Left.cs" />
    <Compile Include="Models\Boundaries\Right.cs" />
    <Compile Include="Models\Boundaries\Top.cs" />
    <Compile Include="Models\Boundaries\Whole.cs" />
    <Compile Include="Models\Boundaries\XOfCenter.cs" />
    <Compile Include="Models\Boundaries\YOfCenter.cs" />
    <Compile Include="Models\ContentType.cs" />
    <Compile Include="Models\Field.cs" />
    <Compile Include="Models\Fields.cs" />
    <Compile Include="Models\Footer.cs" />
    <Compile Include="Models\Header.cs" />
    <Compile Include="Models\SearchConstraints.cs" />
    <Compile Include="Models\SearchConstraintTypes\All.cs" />
    <Compile Include="Models\SearchConstraintTypes\Even.cs" />
    <Compile Include="Models\SearchConstraintTypes\First.cs" />
    <Compile Include="Models\SearchConstraintTypes\ISearchAreaConstraints.cs" />
    <Compile Include="Models\SearchConstraintTypes\Last.cs" />
    <Compile Include="Models\SearchConstraintTypes\Odd.cs" />
    <Compile Include="Models\SearchConstraintTypes\Range.cs" />
    <Compile Include="Models\SearchConstraintTypes\SearchAreaConstraintFactory.cs" />
    <Compile Include="Models\SearchContentTypes\BarcodeType.cs" />
    <Compile Include="Models\SearchContentTypes\CharacterStringType.cs" />
    <Compile Include="Models\SearchContentTypes\CharacterStringWithNumberType.cs" />
    <Compile Include="Models\SearchContentTypes\CnpjType.cs" />
    <Compile Include="Models\SearchContentTypes\ConstantValue.cs" />
    <Compile Include="Models\SearchContentTypes\ContentTypeFactory.cs" />
    <Compile Include="Models\SearchContentTypes\CpfType.cs" />
    <Compile Include="Models\SearchContentTypes\CurrencyType.cs" />
    <Compile Include="Models\SearchContentTypes\DateType.cs" />
    <Compile Include="Models\SearchContentTypes\IContentType.cs" />
    <Compile Include="Models\SearchContentTypes\NumericType.cs" />
    <Compile Include="Models\SearchContentTypes\ParagraphyType.cs" />
    <Compile Include="Models\SearchContentTypes\PhoneType.cs" />
    <Compile Include="Models\SearchContentTypes\RegexCustom.cs" />
    <Compile Include="Models\SearchContentTypes\StaticTextType.cs" />
    <Compile Include="Models\SearchContentTypes\ValueVariable.cs" />
    <Compile Include="Models\SearchControl.cs" />
    <Compile Include="Models\SearchControlTypes\ISearchControl.cs" />
    <Compile Include="Models\SearchControlTypes\OptionalElement.cs" />
    <Compile Include="Models\SearchControlTypes\ProhibitedElement.cs" />
    <Compile Include="Models\SearchControlTypes\RepeatingElement.cs" />
    <Compile Include="Models\SearchControlTypes\RequiredElement.cs" />
    <Compile Include="Models\SearchControlTypes\SearchControlFactory.cs" />
    <Compile Include="Models\SearchElements.cs" />
    <Compile Include="Models\SearchModes\Barcode.cs" />
    <Compile Include="Models\SearchModes\BestQuality.cs" />
    <Compile Include="Models\SearchModes\BetweenText.cs" />
    <Compile Include="Models\SearchModes\ConstantValue.cs" />
    <Compile Include="Models\SearchModes\Constraint.cs" />
    <Compile Include="Models\SearchModes\FirstFound.cs" />
    <Compile Include="Models\SearchModes\ISearchMode.cs" />
    <Compile Include="Models\SearchModes\MergeFields.cs" />
    <Compile Include="Models\SearchModes\RegularExpression.cs" />
    <Compile Include="Models\SearchModes\SearchModeFactory.cs" />
    <Compile Include="Models\SearchModes\ValueVariable.cs" />
    <Compile Include="Models\SearchNearestTypes\Element.cs" />
    <Compile Include="Models\SearchNearestTypes\INearest.cs" />
    <Compile Include="Models\SearchNearestTypes\NearestFactory.cs" />
    <Compile Include="Models\SearchNearestTypes\PageBottomEdge.cs" />
    <Compile Include="Models\SearchNearestTypes\PageLeftEdge.cs" />
    <Compile Include="Models\SearchNearestTypes\PageRightEdge.cs" />
    <Compile Include="Models\SearchNearestTypes\PageTopEdge.cs" />
    <Compile Include="Models\SearchNearestTypes\Point.cs" />
    <Compile Include="Models\SearchNearestTypes\XCoordinate.cs" />
    <Compile Include="Models\SearchNearestTypes\YCoordinate.cs" />
    <Compile Include="Models\SearchOptions.cs" />
    <Compile Include="Models\SearchRelations.cs" />
    <Compile Include="Models\SearchRelationTypes\Above.cs" />
    <Compile Include="Models\SearchRelationTypes\Below.cs" />
    <Compile Include="Models\SearchRelationTypes\Constraint.cs" />
    <Compile Include="Models\SearchRelationTypes\IRelation.cs" />
    <Compile Include="Models\SearchRelationTypes\LeftOf.cs" />
    <Compile Include="Models\SearchRelationTypes\RightOf.cs" />
    <Compile Include="Models\SearchRelationTypes\SearchRelationFactory.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ZionVault\ZionVault.csproj">
      <Project>{4b28adc9-ccf2-469d-9d18-580eee90bced}</Project>
      <Name>ZionVault</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>